octonet - Segnalazione #83

Sistema di testing con mock tree completamente popolato dai test

11/23/2016 04:33 PM - Enrico Zini

Status: Chiuso
Priority: Normale
Assignee: Enrico Zini
Category:

Target version:

Start date:
Due date:
% Done:

Estimated time:

11/23/2016

100%
0.00 hour

Description

Per evitare di lanciare unit test su un octofussd che manterrebbe lo stato tra un test e I'altro, conviene avere un tree completamente

finto popolato dai test.

Associated revisions

Revision 7e79a790 - 11/24/2016 12:11 PM - Enrico Zini

Sync with master. refs: #83

Revision 9b74d373 - 11/24/2016 03:56 PM - Enrico Zini

Allow to override the current user and tree in tests. refs: #83

Revision 7becbOca - 11/24/2016 03:57 PM - Enrico Zini

Allow testing with custom trees. Fixes #83

Revision 805bc6a0 - 11/24/2016 06:19 PM - Enrico Zini

Allow to override the current user and tree in tests. refs: #83

History

#1 - 11/23/2016 04:36 PM - Enrico Zini

- Assignee set to Enrico Zini

#2 - 11/24/2016 03:57 PM - Anonymous
- Status changed from Nuovo to Risolto

- % Done changed from 0 to 100

Applicata nel changeset 7becbOca1a6b31e13465f331c14e60e2f63055d5.

#3 - 11/24/2016 03:58 PM - Enrico Zini

- Status changed from Risolto to Chiuso
